package com.aitrainer.api.model

import kotlinx.serialization.*
import kotlinx.serialization.json.*

@Serializable
data class User (
    var username: String = "",
    var password: String = "",
    var firebaseUid: String = ""
) {
    @OptIn(UnstableDefault::class)
    fun fromJson(json: String): User {
        return Json.parse(serializer(), json)
    }
}