package com.aitrainer.api.repository

import com.aitrainer.api.model.CustomerInformation
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.stereotype.Repository

@Repository
interface CustomerInformationRepository: JpaRepository<CustomerInformation, Long> {
    fun findByDisplayBeginLessThanAndDisplayEndGreaterThan( dateTimeBegin: String, dateTimeEnd: String ):
            List<CustomerInformation>
}